package com.company.singlevalueholderexception.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.InstanceName
import io.jmix.core.metamodel.annotation.JmixEntity
import java.util.*
import javax.persistence.*

@JmixEntity
@Table(name = "EMPLOYEE")
@Entity(name = "Employee")
open class Employee {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @InstanceName
    @Column(name = "NAME")
    var name: String? = null

    @OneToMany(mappedBy = "paidBy")
    var invoices: MutableList<Invoice> = mutableListOf()
}